Bug 612251 - [abrt] crash in rhythmbox-0.12.8-4.fc13: IA__g_slist_prepend: Process /usr/libexec/rhythmbox-metadata was killed by signal 11 (SIGSEGV)
[abrt] crash in rhythmbox-0.12.8-4.fc13: IA__g_slist_prepend: Process /usr/li...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:9cb2d28338c96ccc3d5f3b1653b...
:
: 597607 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-07 12:53 EDT by Tobias Mueller
Modified: 2011-06-29 09:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:52:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (14.78 KB, text/plain)
2010-07-07 12:53 EDT, Tobias Mueller
no flags Details

  None (edit)
Description Tobias Mueller 2010-07-07 12:53:51 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/libexec/rhythmbox-metadata unix:tmpdir=/tmp
component: rhythmbox
crash_function: IA__g_slist_prepend
executable: /usr/libexec/rhythmbox-metadata
global_uuid: 9cb2d28338c96ccc3d5f3b1653b8cb03bd9e09f9
kernel: 2.6.33.5-124.fc13.x86_64
package: rhythmbox-0.12.8-4.fc13
rating: 4
reason: Process /usr/libexec/rhythmbox-metadata was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. Edited some MP3 tags
2.
3.
Comment 1 Tobias Mueller 2010-07-07 12:53:54 EDT
Created attachment 430116 [details]
File: backtrace
Comment 2 foo.hazard 2010-08-02 18:26:24 EDT
Package: rhythmbox-0.12.8-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Select several tracks from list.
2. Right click on them.
3. Select "Properties".
4. Edit "Album" and "Author" fields.
5. Apply changes.

Comment
-----
When editing the properties of several tracks, Rhythmbox seems to have a bug on Gstreamer internal data flow or something like that (at least that is what it says for each track edited). The changes are applied anyway, but is really bothersome to have this kind of messages on screen.
Comment 3 foo.hazard 2010-08-02 18:33:33 EDT
Package: rhythmbox-0.12.8-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Select several tracks from list.
2. Right click on them.
3. Select "Properties".
4. Edit "Album" and "Author" fields.
5. Apply changes.

Comment
-----
When editing the properties of several tracks, Rhythmbox seems to have a bug on Gstreamer internal data flow or something like that (at least that is what it says for each track edited). The changes are applied anyway, but is really bothersome to have this kind of messages on screen.
Comment 4 Steve Muskiewicz 2010-08-23 12:06:56 EDT
Package: rhythmbox-0.12.8-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Import MP3 files (with ID3 v2.3 tags) into rhythmbox library
2. Update the tags in one or more MP3 files that were imported.
3. Make directory of MP3 files read only to the user running rhythmbox
4. Restart rhythmbox, the metadata scanner will crash whenever it hits an updated MP3 file.

Comment
-----
This bug seems to occur only with MP3 files whose tags have been updated after they were originally imported into the rhythmbox database AND when the MP3 files are not writable to the rhythmbox process.  All of my MP3 files are tagged with ID3 v2.3 tags so I don't know if the same problem happens with ID3 v2.4 tagged files or not.

If I change the owner/permissions of the updated MP3 files so that they are writeable to rhythmbox, then the crash does not happen, but the ID3 tags in the changed files are also converted to ID3 v2.4 which is not something I want to happen.

I can also workaround this issue by letting rhythmbox rewrite the tags in the updated MP3 files, shutting down rhythmbox and re-syncing my MP3 files (via rsync from my main music share) to restore the original v2.3 tags, and finally making the MP3 files read only again.  If I do this and then restart rhythmbox, the metadata scanner seems to be fine but this is a major nuisance when I am batch updating tags in my music library.

Please let me know if any additional information is required or there is anything else I can do to test or triage this problem further.

Thanks!
Comment 5 Karel Klíč 2010-11-09 09:38:59 EST
*** Bug 597607 has been marked as a duplicate of this bug. ***
Comment 6 Steve Muskiewicz 2010-11-11 09:54:06 EST
Just a quick note that it appears that this has been fixed in the version of rhythmbox shipped with Fedora 14 (rhythmbox-0.13.1-2.fc14 RPM)
Comment 7 Bug Zapper 2011-06-01 10:31:12 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2011-06-29 09:52:50 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.